SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Oracle Java SE Vendors:   Sun
(Red Hat Issues Fix for Oracle Java SE) libpng Buffer Overflow in png_set_PLTE()/png_get_PLTE() Files Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1034779
SecurityTracker URL:  http://securitytracker.com/id/1034779
CVE Reference:   CVE-2015-8126, CVE-2015-8472   (Links to External Site)
Date:  Jan 22 2016
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in libpng. A remote user can cause arbitrary code to be executed on the target user's system. Oracle Java SE is affected.

A remote user can create a specially crafted PNG file that, when loaded by the target application, will trigger a buffer overflow in the png_set_PLTE() and png_get_PLTE() functions and execute arbitrary code on the target system. The code will run with the privileges of the target application using libpng.

Impact:   A remote user can create content that, when loaded by the target application, will execute arbitrary code on the target user's system.
Solution:   Red Hat has issued a fix for java-1.7.0-oracle.

The Red Hat advisory is available at:

https://rhn.redhat.com/errata/RHSA-2016-0056.html

Vendor URL:  rhn.redhat.com/errata/RHSA-2016-0056.html (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Red Hat Enterprise)
Underlying OS Comments:  7

Message History:   This archive entry is a follow-up to the message listed below.
Nov 13 2015 libpng Buffer Overflow in png_set_PLTE()/png_get_PLTE() Files Lets Remote Users Execute Arbitrary Code



 Source Message Contents

Subject:  [RHSA-2016:0056-01] Critical: java-1.7.0-oracle security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Critical: java-1.7.0-oracle security update
Advisory ID:       RHSA-2016:0056-01
Product:           Oracle Java for Red Hat Enterprise Linux
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2016-0056.html
Issue date:        2016-01-21
CVE Names:         CVE-2015-7575 CVE-2015-8126 CVE-2015-8472 
                   CVE-2016-0402 CVE-2016-0448 CVE-2016-0466 
                   CVE-2016-0483 CVE-2016-0494 
=====================================================================

1. Summary:

Updated java-1.7.0-oracle packages that fix several security issues are now
available for Oracle Java for Red Hat Enterprise Linux 5, 6, and 7.

Red Hat Product Security has rated this update as having Critical security
impact. Common Vulnerability Scoring System (CVSS) base scores, which give
detailed severity ratings, are available for each vulnerability from the
CVE links in the References section.

2. Relevant releases/architectures:

Oracle Java for Red Hat Enterprise Linux Client (v. 7) - x86_64
Oracle Java for Red Hat Enterprise Linux Client 5 - i386, x86_64
Oracle Java for Red Hat Enterprise Linux Compute Node (v. 7) - x86_64
Oracle Java for Red Hat Enterprise Linux Desktop 6 - i386, x86_64
Oracle Java for Red Hat Enterprise Linux HPC Node 6 - i386, x86_64
Oracle Java for Red Hat Enterprise Linux Server (v. 7) - x86_64
Oracle Java for Red Hat Enterprise Linux Server 5 - i386, x86_64
Oracle Java for Red Hat Enterprise Linux Server 6 - i386, x86_64
Oracle Java for Red Hat Enterprise Linux Workstation - i386, x86_64
Oracle Java for Red Hat Enterprise Linux Workstation (v. 7) - x86_64

3. Description:

Oracle Java SE version 7 includes the Oracle Java Runtime Environment and
the Oracle Java Software Development Kit.

This update fixes several vulnerabilities in the Oracle Java Runtime
Environment and the Oracle Java Software Development Kit. Further
information about these flaws can be found on the Oracle Java SE Critical
Patch Update Advisory page, listed in the References section.
(CVE-2015-7575, CVE-2015-8126, CVE-2015-8472, CVE-2016-0402, CVE-2016-0448,
CVE-2016-0466, CVE-2016-0483, CVE-2016-0494)

Note: This update also disallows the use of the MD5 hash algorithm in the
certification path processing. The use of MD5 can be re-enabled by removing
MD5 from the jdk.certpath.disabledAlgorithms security property defined in
the java.security file.

All users of java-1.7.0-oracle are advised to upgrade to these updated
packages, which provide Oracle Java 7 Update 95 and resolve these issues.
All running instances of Oracle Java must be restarted for the update to
take effect.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

For details on how to apply this update, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1281756 - CVE-2015-8126 CVE-2015-8472 libpng: Buffer overflow vulnerabilities in png_get_PLTE/png_set_PLTE functions
1289841 - CVE-2015-7575 TLS 1.2 Transcipt Collision attacks against MD5 in key exchange protocol (SLOTH)
1298906 - CVE-2016-0494 ICU: integer signedness issue in IndicRearrangementProcessor (OpenJDK 2D, 8140543)
1298957 - CVE-2016-0402 OpenJDK: URL deserialization inconsistencies (Networking, 8059054)
1299073 - CVE-2016-0448 OpenJDK: logging of RMI connection secrets (JMX, 8130710)
1299385 - CVE-2016-0466 OpenJDK: insufficient enforcement of totalEntitySizeLimit (JAXP, 8133962)
1299441 - CVE-2016-0483 OpenJDK: incorrect boundary check in JPEG decoder (AWT, 8139017)

6. Package List:

Oracle Java for Red Hat Enterprise Linux Client 5:

i386:
java-1.7.0-oracle-1.7.0.95-1jpp.1.el5_11.i586.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.1.el5_11.i586.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.1.el5_11.i586.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.1.el5_11.i586.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.1.el5_11.i586.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.1.el5_11.i586.rpm

x86_64:
java-1.7.0-oracle-1.7.0.95-1jpp.1.el5_11.x86_64.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.1.el5_11.x86_64.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.1.el5_11.x86_64.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.1.el5_11.x86_64.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.1.el5_11.x86_64.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.1.el5_11.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Server 5:

i386:
java-1.7.0-oracle-1.7.0.95-1jpp.1.el5_11.i586.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.1.el5_11.i586.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.1.el5_11.i586.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.1.el5_11.i586.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.1.el5_11.i586.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.1.el5_11.i586.rpm

x86_64:
java-1.7.0-oracle-1.7.0.95-1jpp.1.el5_11.x86_64.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.1.el5_11.x86_64.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.1.el5_11.x86_64.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.1.el5_11.x86_64.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.1.el5_11.x86_64.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.1.el5_11.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Desktop 6:

i386:
java-1.7.0-oracle-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.1.el6_7.i686.rpm

x86_64:
java-1.7.0-oracle-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.1.el6_7.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux HPC Node 6:

i386:
java-1.7.0-oracle-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.1.el6_7.i686.rpm

x86_64:
java-1.7.0-oracle-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.1.el6_7.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Server 6:

i386:
java-1.7.0-oracle-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.1.el6_7.i686.rpm

x86_64:
java-1.7.0-oracle-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.1.el6_7.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Workstation:

i386:
java-1.7.0-oracle-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.1.el6_7.i686.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.1.el6_7.i686.rpm

x86_64:
java-1.7.0-oracle-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.1.el6_7.x86_64.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.1.el6_7.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Client (v. 7):

x86_64:
java-1.7.0-oracle-1.7.0.95-1jpp.2.el7.i686.rpm
java-1.7.0-oracle-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.2.el7.i686.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.2.el7.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Compute Node (v. 7):

x86_64:
java-1.7.0-oracle-1.7.0.95-1jpp.2.el7.i686.rpm
java-1.7.0-oracle-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.2.el7.i686.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.2.el7.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Server (v. 7):

x86_64:
java-1.7.0-oracle-1.7.0.95-1jpp.2.el7.i686.rpm
java-1.7.0-oracle-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.2.el7.i686.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.2.el7.x86_64.rpm

Oracle Java for Red Hat Enterprise Linux Workstation (v. 7):

x86_64:
java-1.7.0-oracle-1.7.0.95-1jpp.2.el7.i686.rpm
java-1.7.0-oracle-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.2.el7.i686.rpm
java-1.7.0-oracle-devel-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-javafx-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-jdbc-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-plugin-1.7.0.95-1jpp.2.el7.x86_64.rpm
java-1.7.0-oracle-src-1.7.0.95-1jpp.2.el7.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2015-7575
https://access.redhat.com/security/cve/CVE-2015-8126
https://access.redhat.com/security/cve/CVE-2015-8472
https://access.redhat.com/security/cve/CVE-2016-0402
https://access.redhat.com/security/cve/CVE-2016-0448
https://access.redhat.com/security/cve/CVE-2016-0466
https://access.redhat.com/security/cve/CVE-2016-0483
https://access.redhat.com/security/cve/CVE-2016-0494
https://access.redhat.com/security/updates/classification/#critical
http://www.oracle.com/technetwork/topics/security/cpujan2016-2367955.html#AppendixJAVA

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2016 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFWoNG6XlSAg2UNWIIRAk3uAJ9s5qUp8sL4nAU/we1CSlhprzqi3gCdGbLw
uBxIaj/xnobSI/AZqMzWWJ8=
=iNIQ
-----END PGP SIGNATURE-----


-- 
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC